# Uses of Class
com.ngrok.definitions.TlsEdge

Packages that use TlsEdge
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of TlsEdge in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type TlsEdge
  Modifier and Type
  Method
  Description
  `List<TlsEdge>`
  TlsEdgeList.`getTlsEdges()`
  the list of all TLS Edges on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type TlsEdge
  Modifier
  Constructor
  Description
  ``
  `TlsEdgeList(List<TlsEdge> tlsEdges, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TlsEdgeList`.

- ## Uses of TlsEdge in com.ngrok.services

  Methods in com.ngrok.services that return TlsEdge
  Modifier and Type
  Method
  Description
  `TlsEdge`
  EdgesTls.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TlsEdge`
  EdgesTls.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TlsEdge`
  EdgesTls.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type TlsEdge
  Modifier and Type
  Method
  Description
  `CompletionStage<TlsEdge>`
  EdgesTls.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TlsEdge>`
  EdgesTls.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TlsEdge>`
  EdgesTls.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.